org.springframework.ldap.core

## Class ObjectRetrievalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.ldap.NamingException
          - - org.springframework.ldap.core.ObjectRetrievalException

- All Implemented Interfaces:
    Serializable

      public class ObjectRetrievalException
      extends NamingException

  Thrown by a `ContextMapperCallbackHandler` when it cannot retrieve an object from the given `Binding`.
  Since:
    1.2
  Author:
    Ulrik Sandberg
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectRetrievalException(String msg)` Create a new ObjectRetrievalException.
    `ObjectRetrievalException(String msg, Throwable cause)` Create a new ObjectRetrievalException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.ldap.NamingException

      `getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectRetrievalException

          public ObjectRetrievalException(String msg)

      Create a new ObjectRetrievalException.
      Parameters:
        `msg` - the detail message

    - #### ObjectRetrievalException

          public ObjectRetrievalException(String msg,
                                          Throwable cause)

      Create a new ObjectRetrievalException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause (if any)